import request from '@/utils/request'

// 标书材料生成 ---- 南网模板

// 获取南网模板列表
export function getNwTemplateListAPI(data) {
    return request({
        url: '/south/getSouthList',
        method: 'get',
        params: data,
    })
}
// 根据id获取南网模板详情
export function getNwTemplateByIdAPI(data) {
    return request({
        url: '/south/getSouthTempById',
        method: 'post',
        data: data,
    })
}

// 新增南网模板
export function addNwTemplateAPI(data) {
    return request({
        url: '/south/addSouthTemp',
        method: 'post',
        data: data,
    })
}

// 编辑南网模板
export function editNwTemplateAPI(data) {
    return request({
        url: '/south/updateSouthTemp',
        method: 'post',
        data: data,
    })
}

// 删除南网模板
export function deleteNwTemplateAPI(data) {
    return request({
        url: '/south/delSouthTemp',
        method: 'post',
        data: data,
    })
}
